{% extends template_base %}
{% load i18n %}
{% load staticfiles %}
{%load price_tag %}
{% block title %}Lista de Motivos de descuento y cargo{% endblock %}

{% block pagelevelcss %}
  <link href="{% static 'assets/plugins/datatables.net-bs4/css/dataTables.bootstrap4.min.css' %}" rel="stylesheet" />
  <link href="{% static 'assets/plugins/datatables.net-responsive-bs4/css/responsive.bootstrap4.min.css' %}" rel="stylesheet" />
  <style>

      .dropdown-toggle::after {
          display: inline-block;
          margin-left: .255em;
          vertical-align: .255em;
          content: "";
          border-top: .3em solid;
          border-right: .3em solid transparent;
          border-bottom: 0;
          border-left: .3em solid transparent;
      }
      </style>
  {% endblock %}

{% block page %}
  <!-- begin breadcrumb -->
  <ol class="breadcrumb float-xl-right">
    <li class="breadcrumb-item"><a href="{% url 'home' %}">Home</a></li>
    <li class="breadcrumb-item">Finanzas</li>
    <li class="breadcrumb-item">Administración</li>
    <li class="breadcrumb-item active">Motivos</li>
  </ol>
  <!-- end breadcrumb -->
  <!-- begin page-header -->
  <h1 class="page-header">Motivos <small>lista</small></h1>
  <!-- end page-header -->
  <!-- begin row -->
  <div class="row">
    <!-- begin col-6 -->
    <div class="col-xl-12">
      <!-- begin panel -->
      <div class="panel panel-inverse" data-sortable-id="table-basic-1">
        <!-- begin panel-heading -->
        <div class="panel-heading">
          <h4 class="panel-title">Lista de Motivos</h4>
          <div class="panel-heading-btn">
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
          </div>
        </div>
        <!-- end panel-heading -->
        <div class="panel-body">
            <div class="row mb-3">
                <div class="col-sm-12 col-md-12">
                    {% if perms.customers.add_mainreason %}
                      <a class="btn btn-success btn-sm pull-right ml-1" href="{% url 'mainreason-create' %}">Nuevo</a>
                    {% endif %}
                </div>
              </div>
            <div class="row mb-3">
                <form class="form-inline">
                  <div class="row mb-3 m-l-10">
                  
                    <div class="form-group m-r-10">
                            <label for="id_kind" class="control-label m-r-10">Tipo</label>
                            <select id="id_kind" class="form-control">
                              <option value="" selected>Todos</option>
                              <option value="1">Descuento</option>
                              <option value="2">Cargo</option>
                            </select>
                    </div>

                    <div class="form-group m-r-10">
                      <label for="percent" class="control-label m-r-10">Tipo de valor</label>
                      <select id="percent" class="form-control">
                          <option value="" selected>Todos</option>
                          <option value="True">Porcentaje</option>
                          <option value="False">Monto total</option>
                          <option value="UF">UF</option>
                      </select>
              </div>
              <div class="form-group m-r-10">
                <label for="calculate_by_days" class="control-label m-r-10">Calculado por días</label>
                <select id="calculate_by_days" class="form-control">
                    <option value="" selected>Todos</option>
                    <option value="True">Sí</option>
                    <option value="False">No</option>
                </select>
              </div>
                    <div class="form-group m-r-10">
                            <label for="active" class="control-label m-r-10">Activo</label>
                            <select id="active" class="form-control">
                                <option value="" selected>Todos</option>
                                <option value="True">Activo</option>
                                <option value="False">No activo</option>
                            </select>
                    </div>
                    <div class="form-group m-r-10">
                      <label for="id_operator" class="control-label m-r-10">Operador</label>
                      <select id="id_operator" class="form-control">
                        <option value="" selected>Todos</option>
                        {% for operator in operators %}
                        <option value="{{ operator.pk }}">{{ operator }}</option>
                      {% endfor %}
                      </select>
              </div>
                  </div>
                  
                </form>
            </div>

          <table id="reasons-list" class="table table-striped table-bordered table-td-valign-middle">
            <thead>
              <tr>
                <th>Motivo</th>
                <th>Valor</th>
                <th>Tipo</th>
                <th>Activo</th>
                <th>Acciones</th>
              </tr>
            </thead>
            <tbody>
            </tbody>
          </table>

        </div>
        <!-- end panel-body -->
      </div>
      <!-- end panel -->
    </div>
    <!-- end col-12 -->
  </div>
  <!-- end row -->
<input id="id_user" hidden >
  <!-- begin scroll to top btn -->
  <a href="javascript:;" class="btn btn-icon btn-circle btn-success btn-scroll-to-top fade" data-click="scroll-top"><i class="fa fa-angle-up"></i></a>
  <!-- end scroll to top btn -->
{% endblock %}

{% block pageleveljs %}
  <script type="text/javascript" defer>
  //active menu
  document.getElementById("finances_menu").classList.add("active");
  //active submenu item
  document.getElementById("finance-admins").classList.add("active");

  document.getElementById("reasons").classList.add("active");
  </script>
  <script src="{% static 'assets/plugins/datatables.net/jquery.dataTables.min.js' %}" defer></script>
  <script src="{% static 'assets/plugins/datatables.net-bs4/js/dataTables.bootstrap4.min.js' %}" defer></script>
  <script src="{% static 'assets/plugins/datatables.net-responsive/js/dataTables.responsive.min.js' %}" defer></script>
  <script src="{% static 'assets/plugins/datatables.net-responsive-bs4/js/responsive.bootstrap4.min.js' %}" defer></script>
  <script type="text/javascript" src="{% static 'theme/build/js/pages/mainreason-list.js' %}" defer></script>

  {% if perms.customers.delete_mainreason %}
  <script>
      $('#id_user').val(true);
  </script>
  {%else%}
  <script> 
   $('#id_user').val(false);
  </script>
  {%endif%}
  {% endblock %}   
